Bug 834360 - (EMBJOPR-373) [embjopr][as5-plugin] BRMS is not recognized as a product type
[embjopr][as5-plugin] BRMS is not recognized as a product type
Status: CLOSED NEXTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Armine Hovsepyan
Mike Foley
:
Depends On: 834353
Blocks: 838141 795918
  Show dependency treegraph
 
Reported: 2012-06-21 12:14 EDT by Charles Crouch
Modified: 2015-09-02 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: EmbJopr_1_3_4_SP6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 834353
Environment:
Last Closed: 2012-09-17 15:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
brms (119.78 KB, image/png)
2012-08-02 08:30 EDT, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EMBJOPR-373 Major Resolved BRMS is not identified as a product by JBoss EAP plug-in 2012-09-17 16:11:24 EDT

  None (edit)
Description Charles Crouch 2012-06-21 12:14:32 EDT
+++ This bug was initially created as a clone of Bug #834353 +++

We end up efaulting the product type to "AS", and then the default Resource name, description, and version erroneously contain "AS", rather than "BRMS".

--- Additional comment from ian.springer@redhat.com on 2012-06-21 11:58:20 EDT ---

Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=cb31626

Name, description, and version now get discovered as follows for BRMS 5.3.0 ER8:

Name: BRMS jetengine:1099 default
Description: JBoss Business Rules Management System 5
Version: BRMS 5.3.0.BRMS-ER8
Comment 1 Charles Crouch 2012-06-21 12:15:11 EDT
Cloned bug inorder to have this fix go into the EmbJopr build for EAP5.1.3
Comment 2 Stefan Negrea 2012-07-19 10:54:11 EDT
AdminConsole_EAP_5_1 branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=56b5655e11d42fe5a8b4bbd81f8b4b2f747614ec
Comment 3 JBoss JIRA Server 2012-07-20 15:39:57 EDT
Larry O'Leary <loleary@redhat.com> updated the status of jira EMBJOPR-373 to Resolved
Comment 4 Armine Hovsepyan 2012-08-02 08:30:44 EDT
Created attachment 601937 [details]
brms

reopened.

clean jon server was installed with only BRMS plugin. BRMS server started. Inventored as EWP server, while in description it is said that it should be BRMS.
Comment 5 Armine Hovsepyan 2012-08-02 11:33:57 EDT
please ignore my last comment
Comment 6 Larry O'Leary 2012-09-17 15:47:44 EDT
This is resolved as per https://issues.jboss.org/browse/EMBJOPR-373 and is part of the new admin-console based on Embedded JOPR 1.3.4.SP6 while is part of EAP 5.2.0.

Note You need to log in before you can comment on or make changes to this bug.